Subject: Re: Commit cce8d6fdb introduces file t/t5100/nul, git tree is now incompatible with Cygwin (and probably Windows)

From: Mark Levedahl <[email-masked]>
Date: Mon, 26 May 2008 18:49:42 -0400

Johannes Schindelin wrote:
> Hi,
>
>
>   
> I fail to see how Cygwin is so special as to merit a falsification of 
> history.
>
>   
>> I don't have access to a linux box today, so I can't manipulate master 
>> to find if that branch with your patch would work right now.
>>     
>
> Sure you can.  You should be able to "git mv t/t5100/nul t/t5100/nul-file" 
> and then editing t/t5100-*.sh to refer to nul-file instead of nul.
>
> Hth,
> Dscho
>   
The above two points are related: the current master causes git to abort 
before writing the index:

 >git checkout -f origin/master
error: git-checkout-index: unable to create file t/t5100/nul (File exists)
 >git mv t/t5100/nul t/t5100/nul-file
fatal: not under version control, source=t/t5100/nul, 
destination=t/t5100/nul-file

So, there is now a range of git's history that is unusable (and 
non-bisectable) on Windows, at least from the porcelain. And apparently, 
somewhere in that unusable history, a change was introduced that causes 
test failure on Cygwin. Great...

Mark